> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all SKUs

> Returns a list of SKUs. The SKUs are returned sorted by creation date, with the most recently created SKUs appearing first.



## OpenAPI

````yaml get /catalog/marketplace/skus
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /catalog/marketplace/skus:
    get:
      tags:
        - Marketplace
      summary: List all SKUs
      description: >-
        Returns a list of SKUs. The SKUs are returned sorted by creation date,
        with the most recently created SKUs appearing first.
      operationId: list-marketplace-skus
      parameters:
        - $ref: '#/components/parameters/pageParam'
        - $ref: '#/components/parameters/pageLimitParam'
        - $ref: '#/components/parameters/sortingParam'
        - $ref: '#/components/parameters/CustomerGroupId'
        - name: category_id
          in: query
          description: filter sku by categories
          schema:
            type: array
            items:
              type: string
          explode: true
          style: form
        - name: inventory
          in: query
          description: >-
            Determines whether to include or exlude inventory details in
            response json
          schema:
            type: boolean
        - name: seller_id
          in: query
          description: filter sku by seller id
          schema:
            type: string
        - name: sku
          in: query
          description: array of sku
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: Success response
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                    examples:
                      - SKUs retrieved successfully.
                  success:
                    type: boolean
                  content:
                    properties:
                      skus:
                        type: array
                        items:
                          $ref: '#/components/schemas/MarketplaceItem'
                        readOnly: true
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    required:
                      - skus
                      - pagination
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - Authorization: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/list-marketplace-skus
        description: API reference for the list-marketplace-skus operation
components:
  parameters:
    pageParam:
      name: page
      in: query
      description: page number of pagination list
      required: false
      schema:
        type: number
        minimum: 1
    pageLimitParam:
      name: limit
      in: query
      description: Number of results per page.
      required: false
      schema:
        type: integer
        maximum: 100
        minimum: 1
    sortingParam:
      name: sort_by
      in: query
      description: 'JSON string format: {"field1":"asc", "field2":"desc"}'
      required: false
      schema:
        description: >-
          json string in format {'field_name':'asc', 'other_field_name':'desc',
          ...}
        type: string
        examples:
          - '{"country":"asc","city":"asc","population":"desc"}'
    CustomerGroupId:
      name: x-customer-group-id
      in: header
      required: false
      schema:
        type: string
      description: >-
        This param is used to determine product pricing, promotions, and
        subscription rates.  If a valid customer group id is provided, pricing
        details will be retrieved accordingly.  If no matching data is found for
        the specified customer group id, the system will fall back to the
        default customer group id.  If no data is found for the default group
        either, the highest applicable price will be returned.
  schemas:
    MarketplaceItem:
      title: MarketplaceItem
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/MarketplaceItem
        description: API reference for the MarketplaceItem schema
      allOf:
        - $ref: '#/components/schemas/Item'
        - type: object
          properties:
            seller_id:
              type: string
            seller_detail:
              $ref: '#/components/schemas/SellerInfo'
          required:
            - seller_id
            - seller_detail
    Pagination:
      description: pagination metadata structure
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/Pagination
        description: API reference for the Pagination schema
      required:
        - total_records
        - total_pages
        - limit
        - next_page
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          type:
            - integer
            - 'null'
        limit:
          type: integer
        next_page:
          type:
            - integer
            - 'null'
      examples:
        - total_records: 100
          total_pages: 4
          previous_page: null
          next_page: 2
          limit: 25
    Item:
      title: SKU
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/Item
        description: API reference for the Item schema
      required:
        - product_id
        - variant_id
        - sku
        - product_slug
        - variant_slug
        - product_name
        - variant_name
        - product_type
        - short_description
        - active
        - stock_available
        - on_subscription
        - on_promotion
        - category_ids
        - tags
        - reviews_count
        - reviews_rating_sum
        - attributes
        - images
        - pricing
        - promotion
        - subscription
        - associated_options
      properties:
        product_id:
          type: string
        variant_id:
          type:
            - string
            - 'null'
        sku:
          type: string
        product_slug:
          type: string
        variant_slug:
          type: string
        product_name:
          type: string
        variant_name:
          type:
            - string
            - 'null'
        product_type:
          type: string
          enum:
            - physical
            - digital
            - bundle
          examples:
            - physical
        short_description:
          type:
            - string
            - 'null'
        active:
          type: boolean
        stock_available:
          type: boolean
        backorder:
          description: >-
            Indicates whether the item is being fulfilled as a backorder. When
            true, the item is not currently in stock and will ship later once
            inventory is available. This may result in the order being split
            into multiple shipments, with delays for the backordered portion.
          type: boolean
        on_subscription:
          type: boolean
        on_promotion:
          type: boolean
        category_ids:
          type: array
          items:
            type: string
        categories:
          description: Expanded category objects.
          type: array
          items:
            $ref: '#/components/schemas/Category'
        tags:
          type:
            - array
            - 'null'
          items:
            type: string
        reviews_count:
          type: integer
        reviews_rating_sum:
          type:
            - number
            - 'null'
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/ProductAttribute'
        images:
          type: array
          items:
            $ref: '#/components/schemas/ProductImage'
        pricing:
          $ref: '#/components/schemas/ProductPricing'
        promotion:
          $ref: '#/components/schemas/ProductPromotion'
        subscription:
          type: array
          items:
            $ref: '#/components/schemas/ProductSubscription'
        associated_options:
          oneOf:
            - $ref: '#/components/schemas/AssociatedOption'
              description: Used when `variant_id` is not null.
            - type: 'null'
              description: Null when `variant_id` is null.
        shipping:
          $ref: '#/components/schemas/ProductShipping'
        inventory:
          type: array
          items:
            $ref: '#/components/schemas/LotBatchDetail'
      examples: []
    SellerInfo:
      title: SellerInfo
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/SellerInfo
        description: API reference for the SellerInfo schema
      required:
        - id
        - trade_name
        - legal_name
        - business_type
        - tax_identification_number
      properties:
        id:
          type: string
        trade_name:
          type: string
        legal_name:
          type: string
        business_type:
          type: string
        tax_identification_number:
          type: string
      examples: []
    Category:
      title: Category
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/Category
        description: API reference for the Category schema
      required:
        - id
        - name
        - slug
        - description
        - parent_category_id
        - product_count
        - active
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        slug:
          type: string
          readOnly: true
        description:
          type:
            - string
            - 'null'
        parent_category_id:
          type:
            - string
            - 'null'
          readOnly: true
        product_count:
          type: integer
        active:
          type: boolean
      examples: []
    ProductAttribute:
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ProductAttribute
        description: API reference for the ProductAttribute schema
      discriminator:
        propertyName: type
        mapping:
          color:
            $ref: '#/components/schemas/ColorAttribute'
          single-select:
            $ref: '#/components/schemas/SingleSelectAttribute'
          multi-select:
            $ref: '#/components/schemas/MultiSelectAttribute'
          text:
            $ref: '#/components/schemas/TextAttribute'
          date:
            $ref: '#/components/schemas/DateAttribute'
          number:
            $ref: '#/components/schemas/NumberAttribute'
          boolean:
            $ref: '#/components/schemas/BooleanAttribute'
      oneOf:
        - $ref: '#/components/schemas/ColorAttribute'
          type: object
        - $ref: '#/components/schemas/SingleSelectAttribute'
          type: object
        - $ref: '#/components/schemas/MultiSelectAttribute'
          type: object
        - $ref: '#/components/schemas/TextAttribute'
          type: object
        - $ref: '#/components/schemas/DateAttribute'
          type: object
        - $ref: '#/components/schemas/NumberAttribute'
          type: object
        - $ref: '#/components/schemas/BooleanAttribute'
          type: object
    ProductImage:
      title: ProductImage
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ProductImage
        description: API reference for the ProductImage schema
      required:
        - id
        - title
        - alternate_text
        - sort_order
        - url_tiny
        - url_thumbnail
        - url_standard
        - url_zoom
      properties:
        id:
          type: string
        title:
          type:
            - string
            - 'null'
        alternate_text:
          type:
            - string
            - 'null'
        sort_order:
          type: integer
        url_tiny:
          type: string
        url_thumbnail:
          type: string
        url_standard:
          type: string
        url_zoom:
          type: string
      examples: []
    ProductPricing:
      title: ProductPricing
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ProductPricing
        description: API reference for the ProductPricing schema
      required:
        - currency
        - tax_type
        - tax_rate
        - price_including_tax
        - listing_price
        - selling_price
        - min_order_quantity
        - max_order_quantity
        - incremental_quantity
        - selling_price_excluding_tax
      properties:
        currency:
          type: string
        tax_type:
          type: string
          default: GST
          const: GST
          examples:
            - GST
        tax_rate:
          type: number
          format: double
        price_including_tax:
          type: boolean
          format: double
          examples:
            - false
        listing_price:
          type: number
          format: double
        selling_price:
          type: number
          format: double
        min_order_quantity:
          type: integer
          default: 1
        max_order_quantity:
          type:
            - integer
            - 'null'
        incremental_quantity:
          type: integer
          default: 1
        selling_price_excluding_tax:
          type: number
          format: double
      examples: []
    ProductPromotion:
      title: ProductPromotion
      description: >-
        Active promotion on a product. `null` when `on_promotion` is `false`.
        The `details` field uses `promotion_type` as discriminator to determine
        the promotion structure.
      type:
        - object
        - 'null'
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ProductPromotion
        description: API reference for the ProductPromotion schema
      required:
        - id
        - starts_at
        - expires_at
        - details
      properties:
        id:
          type: string
        starts_at:
          type: string
          format: date-time
        expires_at:
          description: When the promotion ends. `null` for promotions with no expiry.
          type:
            - string
            - 'null'
          format: date-time
        details:
          description: >-
            Promotion rules and pricing. Use `promotion_type` to determine the
            structure: `discount` (percentage/flat off), `fixed-price` (override
            price), `volume-based` (buy X at Y price), or `free-goods` (buy X
            get Y free).
          discriminator:
            propertyName: promotion_type
            mapping:
              discount:
                $ref: '#/components/schemas/DiscountBasedPromotion'
              fixed-price:
                $ref: '#/components/schemas/FixedPricePromotion'
              volume-based:
                $ref: '#/components/schemas/VolumeBasedPromotion'
              free-goods:
                $ref: '#/components/schemas/FreeGoodsPromotion'
          oneOf:
            - $ref: '#/components/schemas/DiscountBasedPromotion'
            - $ref: '#/components/schemas/FixedPricePromotion'
            - $ref: '#/components/schemas/VolumeBasedPromotion'
            - $ref: '#/components/schemas/FreeGoodsPromotion'
    ProductSubscription:
      title: ProductSubscription
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/ProductSubscription
        description: API reference for the ProductSubscription schema
      required:
        - id
        - subscription_plan
        - subscription_price
        - billing_interval
        - billing_frequency
        - billing_limit
        - fulfill_separately
        - order_interval
        - order_frequency
        - order_limit
        - minimum_quantity
        - billing_trial_days
      properties:
        id:
          type: string
        subscription_plan:
          type: string
        subscription_price:
          type: number
          format: double
        billing_interval:
          description: >-
            Billing interval determines the frequency for which the customer is
            charged for the subscription itself.
          type: integer
        billing_frequency:
          type: string
          enum:
            - weekly
            - monthly
            - annually
          examples:
            - monthly
        billing_limit:
          description: >-
            Optionally limit the number of times this subscription will invoice
            the customer.
          type: integer
        fulfill_separately:
          type: boolean
          default: false
        order_interval:
          description: >-
            order interval defines the frequency of when the subscription sends
            customers the product
          type: integer
        order_frequency:
          type: string
          enum:
            - weekly
            - monthly
            - annully
          examples:
            - monthly
        order_limit:
          description: >-
            By default this is set to unlimited, meaning the subscription will
            fulfill indefinitely. Changing the Limit to 10 would force the
            subscription to end after the tenth interval had been fulfilled.
          type: integer
        minimum_quantity:
          description: The quantity of the plan to which the customer should be subscribed
          type: integer
        billing_trial_days:
          description: Use in digital product only for trial period
          type: integer
      examples: []
    AssociatedOption:
      title: AssociatedOption
      description: >-
        An object where each key is an option name, and the value describes the
        option details.
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/AssociatedOption
        description: API reference for the AssociatedOption schema
      additionalProperties:
        oneOf:
          - $ref: '#/components/schemas/ColorOption'
          - $ref: '#/components/schemas/SingleSelectOption'
      examples:
        - background_color:
            name: Background Color
            value:
              name: Blue
              hexcode: '#0000FF'
            type: color
          size:
            name: Size
            value: Large
            type: single-select
    ProductShipping:
      title: ProductShipping
      type:
        - object
        - 'null'
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ProductShipping
        description: API reference for the ProductShipping schema
      required:
        - handling_charges_including_tax
        - handling_charges_excluding_tax
        - tax_type
        - tax_rate
      properties:
        handling_charges_including_tax:
          type: number
        handling_charges_excluding_tax:
          type: number
        tax_type:
          type: string
        tax_rate:
          type: number
    LotBatchDetail:
      title: LotBatchDetail
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/LotBatchDetail
        description: API reference for the LotBatchDetail schema
      required:
        - lot_batch
        - mfg_date
        - exp_date
        - manufacturer
        - stock_quantity
      properties:
        lot_batch:
          type: string
        mfg_date:
          type:
            - string
            - 'null'
          format: date
        exp_date:
          type:
            - string
            - 'null'
          format: date
        manufacturer:
          type:
            - string
            - 'null'
        stock_quantity:
          type: integer
    ColorAttribute:
      title: ColorAttribute
      description: Attribute for colors
      type: object
      readOnly: true
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ColorAttribute
        description: API reference for the ColorAttribute schema
      required:
        - id
        - name
        - key
        - type
        - value
      properties:
        id:
          type: string
        name:
          type: string
        key:
          description: >-
            A lookup safe version of the name that is lowercased and spaces are
            replaced with underscores. For instance, if name is `Product Type`,
            key will be `product_type`
          type: string
        type:
          type: string
          example: color
        value:
          type: array
          items:
            type: object
            required:
              - name
              - hexcode
            properties:
              name:
                type: string
              hexcode:
                description: 'The hex code of the color (e.g., #000000).'
                type: string
                format: color-hex
                pattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
    SingleSelectAttribute:
      title: SingleSelectAttribute
      description: Attribute for single-select values
      type: object
      readOnly: true
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/SingleSelectAttribute
        description: API reference for the SingleSelectAttribute schema
      required:
        - id
        - name
        - key
        - type
        - value
      properties:
        id:
          type: string
        name:
          type: string
        key:
          description: >-
            A lookup safe version of the name that is lowercased and spaces are
            replaced with underscores. For instance, if name is `Product Type`,
            key will be `product_type`
          type: string
        type:
          type: string
          example: single-select
        value:
          description: For single-select attributes
          type: string
    MultiSelectAttribute:
      title: MultiSelectAttribute
      description: Attribute for multi-select values
      type: object
      readOnly: true
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/MultiSelectAttribute
        description: API reference for the MultiSelectAttribute schema
      required:
        - id
        - name
        - key
        - type
        - value
      properties:
        id:
          type: string
        name:
          type: string
        key:
          description: >-
            A lookup safe version of the name that is lowercased and spaces are
            replaced with underscores. For instance, if name is `Product Type`,
            key will be `product_type`
          type: string
        type:
          type: string
          example: multi-select
        value:
          description: For multi-select attributes
          type: array
          items:
            type: string
    TextAttribute:
      title: TextAttribute
      description: Attribute for text values
      type: object
      readOnly: true
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/TextAttribute
        description: API reference for the TextAttribute schema
      required:
        - id
        - name
        - key
        - type
        - value
      properties:
        id:
          type: string
        name:
          type: string
        key:
          description: >-
            A lookup safe version of the name that is lowercased and spaces are
            replaced with underscores. For instance, if name is `Product Type`,
            key will be `product_type`
          type: string
        type:
          type: string
          example: text
        value:
          description: For text attributes
          type: string
    DateAttribute:
      title: DateAttribute
      description: Attribute for date values
      type: object
      readOnly: true
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/DateAttribute
        description: API reference for the DateAttribute schema
      required:
        - id
        - name
        - key
        - type
        - value
      properties:
        id:
          type: string
        name:
          type: string
        key:
          description: >-
            A lookup safe version of the name that is lowercased and spaces are
            replaced with underscores. For instance, if name is `Product Type`,
            key will be `product_type`
          type: string
        type:
          type: string
          example: date
        value:
          description: For date attributes
          type: string
          format: date-time
    NumberAttribute:
      title: NumberAttribute
      description: Attribute for numeric values
      type: object
      readOnly: true
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/NumberAttribute
        description: API reference for the NumberAttribute schema
      required:
        - id
        - name
        - key
        - type
        - value
      properties:
        id:
          type: string
        name:
          type: string
        key:
          description: >-
            A lookup safe version of the name that is lowercased and spaces are
            replaced with underscores. For instance, if name is `Product Type`,
            key will be `product_type`
          type: string
        type:
          type: string
          example: number
        value:
          description: For numeric attributes
          type: number
    BooleanAttribute:
      title: BooleanAttribute
      description: Attribute for boolean values
      type: object
      readOnly: true
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/BooleanAttribute
        description: API reference for the BooleanAttribute schema
      required:
        - id
        - name
        - key
        - type
        - value
      properties:
        id:
          type: string
        name:
          type: string
        key:
          description: >-
            A lookup safe version of the name that is lowercased and spaces are
            replaced with underscores. For instance, if name is `Product Type`,
            key will be `product_type`
          type: string
        type:
          type: string
          example: boolean
        value:
          description: For boolean attributes
          type: boolean
    DiscountBasedPromotion:
      title: DiscountBasedPromotion
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/DiscountBasedPromotion
        description: API reference for the DiscountBasedPromotion schema
      required:
        - promotion_type
        - discount_type
      properties:
        promotion_type:
          type: string
          enum:
            - discount
            - volume-based
            - fixed-price
            - free-goods
          const: discount
        discount_type:
          type: string
          enum:
            - percentage
            - fixed-amount
        discount_percent:
          description: '''> 0'' if discount_type = percentage, otherwise set 0.'
          type: number
        discount_fixed_amount:
          description: '''> 0'' if discount_type = fixed-amount, otherwise set 0.'
          type: integer
    FixedPricePromotion:
      title: FixedPricePromotion
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/FixedPricePromotion
        description: API reference for the FixedPricePromotion schema
      required:
        - promotion_type
        - offer_price
      properties:
        promotion_type:
          type: string
          enum:
            - discount
            - volume-based
            - fixed-price
            - free-goods
          const: fixed-price
          readOnly: true
        offer_price:
          type: number
    VolumeBasedPromotion:
      title: VolumeBasedPromotion
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/VolumeBasedPromotion
        description: API reference for the VolumeBasedPromotion schema
      required:
        - promotion_type
        - slabs
      properties:
        promotion_type:
          type: string
          enum:
            - discount
            - volume-based
            - fixed-price
            - free-goods
          const: volume-based
          readOnly: true
        slabs:
          type: array
          items:
            type: object
            properties:
              quantity_limit:
                description: The minimum quantity required to qualify for the discount.
                type: integer
              discount_percent:
                description: >-
                  The percentage discount applied when the quantity limit is
                  reached.
                type: number
                readOnly: true
            required:
              - quantity_limit
              - discount_percent
    FreeGoodsPromotion:
      title: FreeGoodsPromotion
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/FreeGoodsPromotion
        description: API reference for the FreeGoodsPromotion schema
      required:
        - promotion_type
        - buy_quantity
        - get_quantity
      properties:
        promotion_type:
          type: string
          enum:
            - discount
            - volume-based
            - fixed-price
            - free-goods
          const: free-goods
          readOnly: true
        buy_quantity:
          description: The quantity of items a customer must buy to receive free goods.
          type: integer
        get_quantity:
          description: The quantity of free goods the customer receives.
          type: integer
    ColorOption:
      title: ColorOption
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ColorOption
        description: API reference for the ColorOption schema
      required:
        - name
        - type
        - value
      properties:
        name:
          description: The name of the associated option.
          type: string
        type:
          description: The type of the associated option.
          const: color
        value:
          type: object
          properties:
            hexcode:
              description: 'The hex code of the color (e.g., #000000).'
              type: string
              format: color-hex
              pattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
            name:
              type: string
              description: The name of the color.
          required:
            - name
            - hexcode
    SingleSelectOption:
      title: SingleSelectOption
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/SingleSelectOption
        description: API reference for the SingleSelectOption schema
      required:
        - name
        - type
        - value
      properties:
        name:
          description: The name of the associated option.
          type: string
        type:
          description: The type of the associated option.
          const: single-select
        value:
          description: The value of the associated option
          type: string
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````